Skip to main content
GET
/
api
/
agent
/
shorts
/
{id}
Get shorts generation status by ID
curl --request GET \
  --url https://www.citedy.com/api/agent/shorts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "generating",
  "credits_charged": 1,
  "video_url": "<string>",
  "error": "<string>",
  "subtitles_applied": true,
  "subtitle_warning": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Path Parameters

id
string<uuid>
required

Response

Generation status

id
string<uuid>
required
status
enum<string>
required
Available options:
generating,
completed,
failed
credits_charged
integer
required
Required range: x >= 0
video_url
string<uri> | null
required
error
string | null
required
subtitles_applied
boolean
required
subtitle_warning
string | null
required